import React from "react";
import { LineDiff, Token } from "../diff-builder/common";
export interface LineProps {
    /**
     * Line index
     */
    index: number;
    /**
     * Line indent
     */
    indent: number;
    /**
     * Line tokens
     */
    tokens: Token[];
    /**
     * Line diff data
     */
    diff?: LineDiff;
    /**
     * Display conditions
     */
    tags: string[];
    /**
     * Custom class
     */
    className?: string;
}
export declare const Line: ({ index, indent, tokens, diff, tags }: LineProps) => React.JSX.Element;
