import React, { Dispatch, ReactNode, SetStateAction } from 'react';
import { ThemeType, Theme } from './theme.model';
interface ThemeContextProps {
    themeType: ThemeType;
    theme: Theme;
    setCurrentTheme: Dispatch<SetStateAction<ThemeType>>;
}
export declare const ThemeContext: React.Context<ThemeContextProps>;
export declare const ThemeProvider: React.FC<{
    children: ReactNode;
}>;
export declare const useTheme: () => ThemeContextProps;
export {};
