import React from "react";
import { Theme } from "../theme";
export interface ApiNavigationeProps {
    /**
     * Api document
     */
    data: any;
    /**
     * Diff metaKey
     */
    diffMetaKey?: any;
    /**
     * resizable navigation, default true
     */
    resizable?: boolean;
    /**
     * current theme
     */
    theme?: Theme;
    /**
     * navigation method
     */
    onNavigate?: (id: string) => void;
}
export declare const OpenApi3Navigation: ({ data }: any) => React.JSX.Element;
export declare const AsyncApi2Navigation: ({ data }: any) => React.JSX.Element;
export declare const JsonNavigation: ({ data }: any) => React.JSX.Element;
export declare const ApiNavigation: ({ data, diffMetaKey, resizable, theme, onNavigate }: ApiNavigationeProps) => React.JSX.Element;
