import React from "react";
import { DiffBlockData } from "../diff-builder/common";
export interface DiffBlockProps {
    /**
     * Line index
     */
    data: DiffBlockData;
    /**
     * Line is hidden
     */
    hidden?: boolean;
    /**
     * Filters need to be applied to Line
     */
    filtered?: boolean;
}
export declare const DiffBlock: ({ data, hidden, filtered }: DiffBlockProps) => React.JSX.Element;
