import { DiffMeta } from "api-smart-diff";
import { DiffBlockData, Token, TokenTag } from "./common";
export declare const buildDiffJson: (input: any, parent: DiffBlockData) => void;
export declare const addJsonBlockTokens: (block: DiffBlockData) => void;
export declare const _jsonValueTokens: (tokenConstrucor: (value: any, tags?: TokenTag | TokenTag[] | undefined) => Token, value: any, diff?: DiffMeta | undefined) => Token[];
export declare const _jsonPropLineTokens: (key: string | number, value: any, diff?: DiffMeta | undefined, last?: boolean) => Token[];
export declare const _jsonArrLineTokens: (value: any, diff?: DiffMeta | undefined, last?: boolean | undefined) => Token[];
export declare const _jsonPropBlockTokens: (isArray: boolean, key: string | number, diff?: DiffMeta | undefined, last?: boolean) => Token[];
export declare const _jsonBeginBlockTokens: (isArray: boolean, last: boolean) => Token[];
export declare const _jsonEndBlockTokens: (isArray: boolean, last: boolean) => Token[];
export declare const buildDiffJsonBlock: (input: any, key: string | number, parent: DiffBlockData, last: boolean) => void;
